# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TGetCatalogsResp

Packages that use TGetCatalogsResp
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TGetCatalogsResp in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TGetCatalogsResp in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`static class`
`TCLIService.AsyncClient.GetCatalogs_call`
`static class`
`TCLIService.AsyncProcessor.GetCatalogs<I extends TCLIService.AsyncIface>`
Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TGetCatalogsResp
Modifier and Type
Class
Description
`class`
`TGetCatalogsResp`
`class`
`TGetCatalogsResp`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TGetCatalogsResp
Modifier and Type
Field
Description
`TGetCatalogsResp`
TCLIService.GetCatalogs_result.`success`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TGetCatalogsResp
Modifier and Type
Method
Description
`TGetCatalogsResp`
TGetCatalogsResp.`deepCopy()`
`TGetCatalogsResp`
TCLIService.Client.`GetCatalogs(TGetCatalogsReq req)`
`TGetCatalogsResp`
TCLIService.Iface.`GetCatalogs(TGetCatalogsReq req)`
`TGetCatalogsResp`
TCLIService.AsyncClient.GetCatalogs_call.`getResult()`
`TGetCatalogsResp`
TCLIService.GetCatalogs_result.`getSuccess()`
`TGetCatalogsResp`
TCLIService.Client.`recv_GetCatalogs()`
`TGetCatalogsResp`
TGetCatalogsResp.`setDirectResults(TSparkDirectResults directResults)`
`TGetCatalogsResp`
TGetCatalogsResp.`setOperationHandle(TOperationHandle operationHandle)`
`TGetCatalogsResp`
TGetCatalogsResp.`setStatus(TStatus status)`
Methods in com.databricks.jdbc.model.client.thrift.generated that return types with arguments of type TGetCatalogsResp
Modifier and Type
Method
Description
`org.apache.thrift.async.AsyncMethodCallback<TGetCatalogsResp>`
TCLIService.AsyncProcessor.GetCatalogs.`getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetCatalogsResp
Modifier and Type
Method
Description
`int`
TGetCatalogsResp.`compareTo(TGetCatalogsResp other)`
`boolean`
TGetCatalogsResp.`equals(TGetCatalogsResp that)`
`TCLIService.GetCatalogs_result`
TCLIService.GetCatalogs_result.`setSuccess(TGetCatalogsResp success)`
Method parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TGetCatalogsResp
Modifier and Type
Method
Description
`void`
TCLIService.AsyncClient.`GetCatalogs(TGetCatalogsReq req, org.apache.thrift.async.AsyncMethodCallback<TGetCatalogsResp> resultHandler)`
`void`
TCLIService.AsyncIface.`GetCatalogs(TGetCatalogsReq req, org.apache.thrift.async.AsyncMethodCallback<TGetCatalogsResp> resultHandler)`
`void`
TCLIService.AsyncProcessor.GetCatalogs.`start(I iface, TCLIService.GetCatalogs_args args, org.apache.thrift.async.AsyncMethodCallback<TGetCatalogsResp> resultHandler)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetCatalogsResp
Modifier
Constructor
Description
``
`GetCatalogs_result(TGetCatalogsResp success)`
``
`TGetCatalogsResp(TGetCatalogsResp other)`
Performs a deep copy on other.
Constructor parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TGetCatalogsResp
Modifier
Constructor
Description
``
`GetCatalogs_call(TGetCatalogsReq req, org.apache.thrift.async.AsyncMethodCallback<TGetCatalogsResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`